#
# spec file for package lv
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lv
Version:        4.51
Release:        149.23
Summary:        Multilingual file viewer with user interface like "less"
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Url:            http://www.ff.iij4u.or.jp/~nrt/lv/
Source:         lv451.tar.bz2
Patch0:         lv-add-lgrep-man-page.patch
Patch2:         lv-fixes.patch
Patch3:         lv-strip.patch
Patch4:         missing-include.patch
Patch5:         lv-splitted-libtinfo.patch
BuildRequires:  automake
BuildRequires:  ncurses-devel
Provides:       locale(ja;ko;zh)

%description
Lv is a multilingual file viewer and looks like the "less" utility.
It can decode and encode multilingual streams through many coding
systems, and can be used as a coding system translation filter. Lv
can recognize multibyte patterns as regular expressions, and provides
multilingual grep functionality under the name lgrep. It also
recognizes ANSI escape sequences for text decoration.

%prep
%setup -q -n lv451
%patch0 -p1 -b .add-lgrep-man-page
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
pushd src
autoreconf -fvi
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing" \
CXXFLAGS="%{optflags}  -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing" \
%configure
make %{?_smp_mflags}
popd

%install
cd src
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
make install bindir=%{buildroot}%{_bindir} libdir=%{buildroot}%{_libdir} mandir=%{buildroot}%{_mandir} INSTALL="install -p"

%files
%defattr(-,root,root)
%doc GPL.txt README *.html hello*
%{_mandir}/man1/*
%{_bindir}/*
%{_libdir}/lv

%changelog
* Thu Jul  6 2017 jengelh@inai.de
- Stylistically diversify description; try not to start every
  sentence with "Lv". Trim filler words.
* Wed Jun 21 2017 tchvatal@suse.com
- Cleanup a bit with spec-cleaner, use parallel make/etc...
* Thu Jan 26 2012 pgajdos@suse.com
- remove suse_update_config macro
* Thu Dec  1 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Nov 22 2011 pgajdos@suse.com
- build against libtinfo
* Thu Mar 29 2007 rguenther@suse.de
- add ncurses-devel BuildRequires.
* Mon Jul 17 2006 mfabian@suse.de
- update to 4.51.
  + encoding detection improved, especially for UTF-8.
  + various segfaults fixed.
- remove lv-null.patch (fixed upstream).
- add missing #include <string.h>.
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(ja;ko;zh)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 schwab@suse.de
- Don't strip binaries.
* Tue Oct 11 2005 meissner@suse.de
- use -fno-strict-aliasing, fixed some aliasing issues,
  and one uninitialized.
* Mon Jan 24 2005 meissner@suse.de
- Do not use #define NULL 0 , but NULL from stddef.h.
* Tue May 20 2003 mfabian@suse.de
- update to 4.49.5: Security fix:
  Don't read .lv located at the current directory, except for
  MSDOS. This fix prevent possible local root exploit using config
  files (CAN-2003-0188).
* Thu May  8 2003 mfabian@suse.de
- add lgrep man page as a .so link to the lv man page
* Fri Feb  2 2001 mfabian@suse.de
- new package: lv 4.49.4
